
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for IDLFloat64. See IDLByte.cc
//
// jhrg 1/12/95

#ifdef __GNUG__
#pragma implementation
#endif

#include "config_idl.h"

#include <string>

#include "InternalErr.h"
#include "IDLFloat64.h"

Float64 *
NewFloat64(const string &n)
{
    return new IDLFloat64(n);
}

IDLFloat64::IDLFloat64(const string &n) : Float64(n)
{
}

BaseType *
IDLFloat64::ptr_duplicate()
{
    return new IDLFloat64(*this);
}
 
bool
IDLFloat64::read(const string &)
{
  throw InternalErr(__FILE__, __LINE__, "Called unimplemented read method");
}

// $Log: IDLFloat64.cc,v $
// Revision 1.4  2000/10/03 23:40:08  jimg
// Moved the CVS Log entries to the end of the files.
// Changed the read() mfuncs so that they match the definition in the
// dap++ library.
// Removed lots of dead code.
//
// Revision 1.3  2000/07/09 22:17:51  rmorris
// Include use <header> instead of <header.h> for headers in the standard
// c++ library - this increases portability.
//
// Revision 1.2  1999/11/09 05:57:10  jimg
// Result of merge with release-3-1-1
//
// Revision 1.1.2.1  1999/09/23 23:06:27  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//
